<div class="container-fluid">
    <app-bill-header [ID_BILLTYPE]="ID_BILL_TYPE" (emmitType)="showType($event)">
    </app-bill-header>
    <div class="row tky-full-width">
        <div class="tky-full-width">
            <button mat-raised-button  (click)="addDocument('docu')" color="primary" class="tky-top-buffer tky-right">
                <mat-icon>description</mat-icon> {{documentDTO?.body!=null ? "Ver Documento":"Agregar Documento" }} 
            </button>
        </div>
      <div class="col tky-full-width">
        <form novalidate [formGroup]="form">
          <mat-card class=" tky-full-width tky-top-buffer text-center">
            <mat-card-title>Lector de Código de Barras</mat-card-title>
            <h3>
              <mat-form-field class="example-full-width text-white">
                <mat-select placeholder="Simulación de lectura de Código de Barras" formControlName="codeProd">
                  <mat-option *ngFor="let element of inventoryList" required [value]="element">
                    <span>{{ element.description.code}} -> {{ element.product.name_product}}</span>
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </h3>
          </mat-card>
        </form>
      </div>
    </div>
    <div *ngIf="detailBillingDTOList.length>0">
      <app-bill-detail [DETAILLIST]="detailBillingDTOList" [TYPE_NAME]="TYPE_NAME" [TOTAL_PRICE]="TOTAL_PRICE" (detailEmitter)="getDetails($event)">
      </app-bill-detail>
  
      <button mat-raised-button  (click)="save()" class="tky-top-buffer tky-right">Cerrar Factura</button>
    </div>
  </div>